## ros-humble-tiago-2dnav 4.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tiago_2dnav)

find_package(ament_cmake_auto REQUIRED)

# PAL Robotics stricter build flags, other developers should not worry about
# this
find_package(ament_cmake_pal QUIET)

ament_auto_find_build_dependencies()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package(INSTALL_TO_SHARE launch params)

=== debian/changelog ===
ros-humble-tiago-2dnav (4.0.5-1jammy) jammy; urgency=high

  * Merge branch 'feat/laser-filters' into 'humble-devel'
    using laser filters in simulation
    See merge request robots/tiago_navigation!83
  * clarifying remappings usage
  * using pmb2_sim_nav_bringup and update deps
  * using sim bringup
  * start laser filters in simulation
  * using laser filters in simulation
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 16 Jun 2023 00:00:00 -0000

ros-humble-tiago-2dnav (4.0.3-1jammy) jammy; urgency=high

  * Merge branch 'feat/pal-navigation-cfg' into 'humble-devel'
    Using pal_navigation_cfg
    See merge request robots/tiago_navigation!77
  * Using pal_navigation_cfg
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 03 Apr 2023 00:00:00 -0000

ros-humble-tiago-2dnav (4.0.2-1jammy) jammy; urgency=high

  * Merge pull request #12 from jmguerreroh/humble-devel
    Remap to show laser scan on RViz
  * Remap to show laser scan on RViz
  * Contributors: Sai Kishor Kothakota, jmguerreroh

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Dec 2022 00:00:00 -0000

ros-humble-tiago-2dnav (4.0.1-1jammy) jammy; urgency=high

  * Merge branch 'mlu/fix/tiago_2dnav_buildtool' into 'humble-devel'
    Fix  buildtool_depend of tiago_2dnav
    See merge request robots/tiago_navigation!68
  * Fix  buildtool_depend of tiago_2dnav
    Must be ament_cmake_auto
  * Contributors: Noel Jimenez, mathiasluedtke

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 29 Nov 2022 00:00:00 -0000

ros-humble-tiago-2dnav (4.0.0-1jammy) jammy; urgency=high

  * Merge branch 'update_copyright' into 'humble-devel'
    Update copyright
    See merge request robots/tiago_navigation!65
  * update package format
  * update copyright
  * Merge branch 'update_maintainers' into 'humble-devel'
    update maintainers
    See merge request robots/tiago_navigation!64
  * update maintainers
  * Merge branch 'linters' into 'humble-devel'
    linters
    See merge request robots/tiago_navigation!63
  * linters
  * First version of foxy-devel tiago_2dnav
  * Contributors: Jordan Palacios, Noel Jimenez, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 08 Nov 2022 00:00:00 -0000

ros-humble-tiago-2dnav (2.0.8-1jammy) jammy; urgency=high

  * Merge branch 'rename_tf_prefix' into 'erbium-devel'
    Rename tf_prefix to robot_namespace
    See merge request robots/pmb2_navigation!46
  * Rename tf_prefix to robot_namespace
  * Contributors: davidfernandez, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 30 Jul 2020 00:00:00 -0000

ros-humble-tiago-2dnav (2.0.7-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 02 Jul 2020 00:00:00 -0000

ros-humble-tiago-2dnav (2.0.6-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-humble-tiago-2dnav (2.0.5-1jammy) jammy; urgency=high

  * passing subtype parameter to move_base
  * Contributors: federiconardi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 22 Nov 2019 00:00:00 -0000

ros-humble-tiago-2dnav (2.0.4-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 01 Oct 2019 00:00:00 -0000

ros-humble-tiago-2dnav (2.0.3-1jammy) jammy; urgency=high

  * use scan_raw for mapping
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 23 Sep 2019 00:00:00 -0000

ros-humble-tiago-2dnav (2.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 18 Sep 2019 00:00:00 -0000

ros-humble-tiago-2dnav (2.0.1-1jammy) jammy; urgency=high

  * Merge branch 'multi_pmb2' into 'erbium-devel'
    Add multi pmb2 navigation
    See merge request robots/pmb2_navigation!40
  * Add multi pmb2 navigation
  * Contributors: Adria Roig, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 19 Jul 2019 00:00:00 -0000

ros-humble-tiago-2dnav (2.0.0-1jammy) jammy; urgency=high

  * added pal_navigation_cfg_pmb2 dependency
  * moved config and launch to pal_navigation_cfg_pmb2
  * Contributors: Procópio Stein, Sai Kishor Kothakota

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Jun 2019 00:00:00 -0000

ros-humble-tiago-2dnav (1.0.6-1jammy) jammy; urgency=high

  * Merge branch 'update_adv_nav' into 'erbium-devel'
    Update AdvNav Rviz config
    See merge request robots/pmb2_navigation!38
  * Update AdvNav Rviz config
  * Contributors: Victor Lopez, davidfernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 20 May 2019 00:00:00 -0000

ros-humble-tiago-2dnav (1.0.5-1jammy) jammy; urgency=high

  * updated teb config to match tiago's
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 06 May 2019 00:00:00 -0000

ros-humble-tiago-2dnav (1.0.4-1jammy) jammy; urgency=high

  * Merge branch 'update-karto-cfg' into 'erbium-devel'
    updated karto params to improve loop closures
    See merge request robots/pmb2_navigation!36
  * updated karto params to improve loop closures
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 22 Mar 2019 00:00:00 -0000

ros-humble-tiago-2dnav (1.0.3-1jammy) jammy; urgency=high

  * Merge branch 'public_eband_conf' into 'erbium-devel'
    added eband planner config
    See merge request robots/pmb2_navigation!35
  * added eband planner config
  * Merge branch 'plugin_fix' into 'erbium-devel'
    public simulation plugin fix
    See merge request robots/pmb2_navigation!34
  * public simulation plugin fix
  * Contributors: Sai Kishor Kothakota, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 25 Jan 2019 00:00:00 -0000

ros-humble-tiago-2dnav (1.0.2-1jammy) jammy; urgency=high

  * Merge branch 'public_sim_kinetic' into 'erbium-devel'


=== debian/control ===
Source: ros-humble-tiago-2dnav
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-tiago-2dnav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-launch-pal, ros-humble-pmb2-2dnav, ros-humble-ros2launch, ros-humble-ros-workspace
Description: TIAGo-specific launch files needed to run navigation on a TIAGo robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-2dnav//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-tiago-2dnav 4.2.0

=== debian/changelog ===
ros-humble-tiago-2dnav (4.2.0-1bookworm) bookworm; urgency=high

  * Merge branch 'man/feat/docking' into 'humble-devel'
    added docking link
    See merge request robots/tiago_navigation!115
  * added docking link
  * Contributors: josegarcia, martinaannicelli

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 02 Sep 2024 16:00:00 -0000

ros-humble-tiago-2dnav (4.1.7-1bookworm) bookworm; urgency=high

  * Merge branch 'fix/aca/laser-frames' into 'humble-devel'
    fix laser frames
    See merge request robots/tiago_navigation!113
  * fix laser frames
  * Contributors: andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 18 Jul 2024 16:00:00 -0000

ros-humble-tiago-2dnav (4.1.6-1bookworm) bookworm; urgency=high

  * Merge branch 'air/unify_pkgs' into 'humble-devel'
    restructure launch file
    See merge request robots/tiago_navigation!109
  * add slam condition in slam launch include & fix error file path for slam
  * remove condition in public rviz
  * fix config files paths
  * using base_type and changing pub/private condition
  * change base name into base_navigation_type
  * add laser dependency
  * restructure launch file
  * Contributors: Aina, antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 16 Jul 2024 16:00:00 -0000

ros-humble-tiago-2dnav (4.1.5-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/aca/pipeline-substitution' into 'humble-devel'
    using variables for pipeline
    See merge request robots/tiago_navigation!105
  * reorganized remappings file
  * naming convention
  * added device number laser
  * Contributors: andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 14 Jul 2024 16:00:00 -0000

ros-humble-tiago-2dnav (4.1.4-1bookworm) bookworm; urgency=high

  * Merge branch 'fix/aca/missing-dep' into 'humble-devel'
    added missing dep
    See merge request robots/tiago_navigation!112
  * added missing dep
  * Contributors: andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Jul 2024 16:00:00 -0000

ros-humble-tiago-2dnav (4.1.3-1bookworm) bookworm; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-tiago-2dnav (4.1.2-1bookworm) bookworm; urgency=high

  * Merge branch 'fix/changed-base-type-name' into 'humble-devel'
    changed diff_drive to pmb2
    See merge request robots/tiago_navigation!110
  * fix default
  * removed base_type check
  * changed diff_drive to pmb2
  * Contributors: andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 04 Jul 2024 16:00:00 -0000

ros-humble-tiago-2dnav (4.1.1-1bookworm) bookworm; urgency=high

  * Merge branch 'abr/feat/using-filters' into 'humble-devel'
    using costmap with filters
    See merge request robots/tiago_navigation!108
  * using costmap with filters
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 30 Jun 2024 16:00:00 -0000

ros-humble-tiago-2dnav (4.1.0-1bookworm) bookworm; urgency=high

  * Merge branch 'feature/support-different-base-types' into 'humble-devel'
    feat: support different base types
    See merge request robots/tiago_navigation!102
  * feat: support base_type on real robot
  * feat: support base_type in simulation
  * Contributors: antoniobrandi, josegarcia

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 25 Jun 2024 16:00:00 -0000

ros-humble-tiago-2dnav (4.0.18-1bookworm) bookworm; urgency=high

  * Merge branch 'abr/feat/rviz-nav' into 'humble-devel'
    move rviz in nav launch file
    See merge request robots/tiago_navigation!106
  * move rviz in nav launch file
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 24 Jun 2024 16:00:00 -0000

ros-humble-tiago-2dnav (4.0.17-1bookworm) bookworm; urgency=high

  * Fix pal_maps path
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Jun 2024 16:00:00 -0000

ros-humble-tiago-2dnav (4.0.16-1bookworm) bookworm; urgency=high

  * Merge branch 'fix/aca/public-sim' into 'humble-devel'
    fix public sim
    See merge request robots/tiago_navigation!103
  * fix public sim
  * Contributors: Noel Jimenez, andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 28 May 2024 16:00:00 -0000

ros-humble-tiago-2dnav (4.0.15-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 07 May 2024 16:00:00 -0000

ros-humble-tiago-2dnav (4.0.14-1bookworm) bookworm; urgency=high

  * Merge branch 'abr/feat/deprecate-maps' into 'humble-devel'
    deprecate tiago_maps
    See merge request robots/tiago_navigation!99
  * deprecate tiago_maps
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 28 Apr 2024 16:00:00 -0000

ros-humble-tiago-2dnav (4.0.13-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/ros2-pipelines' into 'humble-devel'
    Feat/ros2 pipelines
    See merge request robots/tiago_navigation!98
  * using variables lifecycle manager
  * using new variables names
  * using variables
  * restored default controller
  * update public sim launch and renamed params
  * cosmetic
  * linters
  * modified params laser pipeline
  * linters
  * navigation pipelines
  * navigation pipeline
  * added modules and pipelines
  * Contributors: andreacapodacqua, antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 22 Apr 2024 16:00:00 -0000

ros-humble-tiago-2dnav (4.0.12-1bookworm) bookworm; urgency=high

  * Merge branch 'abr/fix/world-name' into 'humble-devel'
    set default world_name for standalone navigation
    See merge request robots/tiago_navigation!97
  * set default world_name for standalone navigation
  * Contributors: antoniobrandi



=== debian/control ===
Source: ros-humble-tiago-2dnav
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: https://github.com/pal-robotics/tiago_simulation
Standards-Version: 3.9.2

Package: ros-humble-tiago-2dnav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-launch-pal, ros-humble-nav2-bringup, ros-humble-pal-maps, ros-humble-ros2launch, ros-humble-rviz2, ros-humble-tiago-description, ros-humble-tiago-laser-sensors, ros-humble-ros-workspace
Description: TIAGo-specific launch files needed to run navigation on a TIAGo robot.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-2dnav//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-2dnav//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-tiago-2dnav//opt/ros/humble/opt/tiago_2dnav/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
